shishi_error_set(3)

NAME
shishi_error_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_error_set(Shishi * handle, const char * errstr);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

const char * errstr
    A null-terminated character string holding a description, or NULL to clear the internal error string.

DESCRIPTION
Sets the error description to the content of errstr. The string is copied into the Shishi internal structure, so you can deallocate any string passed to this function.

This function is mostly for Shishi's internal use, but if you develop an extension of Shishi, it may be useful to support the same error handling infrastructure.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.